from common.Http import Http
from common.Excel import Reader, Writer
import unittest
import json,ddt

http = Http()
reader = Reader()
writer = Writer()
#reader.open_excle('D:/dminterfacetest/repot/testcase.xls')
reader.open_excle('/opt/apitest/apiAutoByJenkins/repot/testcase.xls')
sheetname = reader.get_sheets()
#writer.copy_open('D:/dminterfacetest/repot/testcase.xls', 'D:/dminterfacetest/repot/testcase1.xls')
writer.copy_open('/opt/apitest/apiAutoByJenkins/repot/testcase.xls', 'opt/apitest/apiAutoByJenkins/repot/testcase1.xls')
sheetname1 = writer.get_sheets()
writer.set_sheet(sheetname1[0])
for sheet in sheetname:
    # 设置当前读取的sheet页面
    reader.set_sheet(sheet)
    data = reader.dict_data()
    #print(data)
@ddt.ddt
class Run(unittest.TestCase):
    @classmethod
    def setUp(self):
        pass
    def runner(self,line,http):
        if len(line[0])>0 or len(line[1])>0:
            return
        if line[3] == 'post':
            result = http.post(line[4], line[5], line[6])
            return result
        if line[3] == 'addheader':
            result = http.addheader(line[4])
            return result
        if line[3] == 'assertquals':
            result = http.assertquals(line[4], line[5])
            return result
        if line[3] == 'savejson':
            result = http.savejson(line[4], line[5])
            return result
        if line[3] == 'clear_values':
            http.clear_values()
            return
        if line[3] == 'assertquals_int':
            result = http.assertquals_int(line[4], line[5])
            return result
        if line[3] == 'seturl':
            result = http.seturl(line[4])
            return result
        if line[3] == 'Addjson':
            result = http.Addjson(line[4])
            return result
        if line[3] == 'Database_query':
            result = http.Database_query(line[4],line[5])
            return result
        if line[3] =='get':
            result = http.get(line[4], line[5], line[6])
            return result
    @ddt.data(*data)
    def test_run(self,data):
        result = self.runner(reader.readline_new(data[-1]), http)
        if result != None:
            print(result)
            results = json.dumps(result)
            writer.write(data[-1], 7, results)
        writer.save_close()

if __name__ == '__main__':
    run = Run()
    run.test_run()